Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3176 closed defect (fixed)

__getreent in libc.a and generated by confdefs.h

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: tool/newlib Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Some applications are getting duplicate symbol definitions for getreent(). One of the examples-v2 programs is doing this. It is because there are two bodies for this method -- one from confdefs.h and another from newlib.

https://sourceware.org/ml/newlib/2017/msg01020.html addresses the issues and needs to be incorporated by the RSB.

https://sourceware.org/ml/newlib/2017/msg01019.html is a cleanup that was spotted at the same time. It can be picked up by a newlib snapshot.

Change History (4)

comment:1 Changed on 10/11/17 at 10:31:43 by Joel Sherrill

Milestone: 4.12.0

This needs to be fixed for 4.12. I haven't checked if this is also needed for 4.11. If 4.11 confdefs.h defines getreent(), then it has the bug also.

comment:2 Changed on 10/12/17 at 00:29:05 by Joel Sherrill

Owner: set to Joel Sherrill
Status: newassigned

comment:3 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:4 Changed on 09/17/18 at 11:10:42 by Sebastian Huber

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.